package com.cmvr.device.mapper;

import java.util.List;
import com.cmvr.device.domain.DeRobotConfig;

/**
 * 机器人配置Mapper接口
 * 
 * @author cmvr-iot
 * @date 2025-09-09
 */
public interface DeRobotConfigMapper 
{
    /**
     * 查询机器人配置
     * 
     * @param id 机器人配置主键
     * @return 机器人配置
     */
    public DeRobotConfig selectDeRobotConfigById(String id);

    /**
     * 查询机器人配置列表
     * 
     * @param deRobotConfig 机器人配置
     * @return 机器人配置集合
     */
    public List<DeRobotConfig> selectDeRobotConfigList(DeRobotConfig deRobotConfig);

    /**
     * 新增机器人配置
     * 
     * @param deRobotConfig 机器人配置
     * @return 结果
     */
    public int insertDeRobotConfig(DeRobotConfig deRobotConfig);

    /**
     * 修改机器人配置
     * 
     * @param deRobotConfig 机器人配置
     * @return 结果
     */
    public int updateDeRobotConfig(DeRobotConfig deRobotConfig);

    /**
     * 删除机器人配置
     * 
     * @param id 机器人配置主键
     * @return 结果
     */
    public int deleteDeRobotConfigById(String id);

    /**
     * 批量删除机器人配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeRobotConfigByIds(String[] ids);
}
